@import url('https://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800,900&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

body {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  background: #252839;
}

h2 {
  position: relative;
  font-size: 14vw;
  color: #252839;
  -webkit-text-stroke: 0.3vw #383d52;
  text-transform: uppercase;
}

h2::before {
  content: attr(data-text);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  color: #01fe87;
  -webkit-text-stroke: 0vw #383d52;
  border-right: 2px solid #01fe87;
  overflow: hidden;
  animation: animate 6s linear infinite;
}

@keyframes animate {
  
  0%,10%,100%
  {
    width: 0;
  }
  
  70%,90%
  {
    width: 100%;
  }
}
















